> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sudo.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Authorization

> Fetches details about a specific authorization using the provided id.



## OpenAPI

````yaml openapi.json put /cards/authorizations/{id}
openapi: 3.1.0
info:
  title: Sudo Sandbox API
  version: '1.0'
servers:
  - url: https://api.sandbox.sudo.cards
security:
  - sec0: []
paths:
  /cards/authorizations/{id}:
    put:
      summary: Update Authorization
      description: Fetches details about a specific authorization using the provided id.
      operationId: update-authorization
      parameters:
        - name: id
          in: path
          description: The `_id` of the authorization to fetch.
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                metadata:
                  type: string
                  description: >-
                    The key-value pair you wish to attach to the authorization
                    object.
                  default: '{}'
                  format: json
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      x-default: '{{APIKey}}'

````